package com.ag.account.detail.impl;

import com.ag.account.detail.AccountDetail;
import com.ag.account.feeUtil.CarStepUtil;
import com.ag.entity.account.FeeDetail;
import com.ag.entity.account.vo.BizVO;
import com.ag.entity.fee.face.SourceProperty;

/**
 * 阶梯包干价
 * Created by Administrator on 2017-09-07.
 */
public class StepSumDetail extends AccountDetail {

    @Override
    protected void calcByUnit(BizVO bizVO, SourceProperty source, FeeDetail detail){
        CarStepUtil.calcAmount(source.getTariffVO(), detail);
        detail.setStMoney(detail.getCalcMoney());//标准金额
        detail.setFinalMoney(detail.getCalcMoney());//最终金额
    }


}
